<?php

if(core::ifPost("from")){
    if (sftp::sendFileToRemote(core::getPost("file"))) { 

        historique::recRef("/proweb-export-csv.html");
        historique::add(array(
            "idType" => historique::getIdRef("ACTION"),
            "idUser" => session::getId(),
            "idPage" => historique::getIdRef("/proweb-export-csv.html"),
            "log" => "Transfert du fichier ". core::getPost("file") . " sur " . SFTP_HOST
        ));

        unlink(SFTP_LOCAL.core::getPost("file"));
    }
}

header("Location: /proweb-export-csv.html");
exit();
